Activity log for bug #1805854

Date Who What changed Old value New value Message
2018-11-29 14:55:39 Philip Roche bug added bug
2018-11-29 16:27:54 Philip Roche description With the announcement of EC2s A1 instances we'd (CPC) like to be able to rely on cloud-init to configure archive mirrors for non-x86 architectures. Currently the AMIs have the mirrors configured using /etc/cloud/cloud.cfg.d/95_mirrors.cfg which points to the in region archive mirrors for non-x86 architectures. ``` # Add archive mirrors for non-x86 architectures system_info: package_mirrors: - arches: [i386, amd64] failsafe: primary: http://archive.ubuntu.com/ubuntu security: http://security.ubuntu.com/ubuntu search: primary: - http://%(ec2_region)s.ec2.archive.ubuntu.com/ubuntu/ - http://%(availability_zone)s.clouds.archive.ubuntu.com/ubuntu/ - http://%(region)s.clouds.archive.ubuntu.com/ubuntu/ security: [] - arches: [armhf, armel, default] failsafe: primary: http://ports.ubuntu.com/ubuntu-ports security: http://ports.ubuntu.com/ubuntu-ports search: primary: - http://%(ec2_region)s.ec2.ports.ubuntu.com/ubuntu-ports/ - http://%(availability_zone)s.clouds.ports.ubuntu.com/ubuntu-ports/ - http://%(region)s.clouds.ports.ubuntu.com/ubuntu-ports/ security: [] ``` See http://paste.ubuntu.com/p/QGvGKpKYKb/ for current AMIs that can be used for testing. Please let me know if you would like me to spin up instances for testing instead or if you need any further info. With the announcement of EC2s A1 instances we'd (CPC) like to be able to rely on cloud-init to configure archive mirrors for non-x86 architectures. Currently the AMIs have the mirrors configured using /etc/cloud/cloud.cfg.d/95_mirrors.cfg which points to the in region archive mirrors for non-x86 architectures. ``` # Add archive mirrors for non-x86 architectures system_info:    package_mirrors:      - arches: [i386, amd64]        failsafe:          primary: http://archive.ubuntu.com/ubuntu          security: http://security.ubuntu.com/ubuntu        search:          primary:            - http://%(ec2_region)s.ec2.archive.ubuntu.com/ubuntu/            - http://%(availability_zone)s.clouds.archive.ubuntu.com/ubuntu/            - http://%(region)s.clouds.archive.ubuntu.com/ubuntu/          security: []      - arches: [armhf, armel, default]        failsafe:          primary: http://ports.ubuntu.com/ubuntu-ports          security: http://ports.ubuntu.com/ubuntu-ports        search:          primary:            - http://%(ec2_region)s.ec2.ports.ubuntu.com/ubuntu-ports/            - http://%(availability_zone)s.clouds.ports.ubuntu.com/ubuntu-ports/            - http://%(region)s.clouds.ports.ubuntu.com/ubuntu-ports/          security: [] ``` See http://paste.ubuntu.com/p/QGvGKpKYKb/ for current AMIs that can be used for testing. So the feature request is that coud-init configure the above mirrors automatically without us having to write /etc/cloud/cloud.cfg.d/95_mirrors.cfg on the image. Please let me know if you would like me to spin up instances for testing instead or if you need any further info.
2018-11-29 16:32:51 Dan Watkins summary [feature-request] Add support for adding adding archive mirrors for non-x86 architectures on ec2 [feature-request] Add non-x86 Ubuntu EC2 mirrors in to default cloud-init configuration
2018-11-29 17:03:26 Scott Moser cloud-init: status New Confirmed
2018-11-30 18:24:42 Launchpad Janitor merge proposal linked https://code.launchpad.net/~smoser/cloud-init/+git/cloud-init/+merge/359948
2018-12-03 20:45:18 Scott Moser cloud-init: importance Undecided Medium
2018-12-04 21:45:38 Server Team CI bot cloud-init: status Confirmed Fix Committed
2018-12-13 20:22:13 Ryan Harper cloud-init: status Fix Committed Fix Released
2018-12-14 20:49:45 Launchpad Janitor merge proposal linked https://code.launchpad.net/~raharper/cloud-init/+git/cloud-init/+merge/360957